Page MenuHomePhabricator

CX2: Invite Arabic Wikipedia to try version 2
Closed, ResolvedPublic

Description

Based on the guidelines described in T205610: Specialist support for project Content Translation (version 2), we want to reach out to Arabic Wikipedia to open a feedback period of two weeks.

  • Ping a local ambassador to be aware of the discussion, ask for help for the translation/review of messages if needed, and invite to share it on other relevant places.
  • Get Arabic version of the message.
  • Post to the Arabic Wikipedia Village pump
  • Summarize the feedback collected

Event Timeline

Pginer-WMF triaged this task as Medium priority.Dec 10 2018, 11:07 AM
Pginer-WMF created this task.
Restricted Application added a subscriber: alaa. · View Herald TranscriptDec 10 2018, 11:07 AM
alaa added a comment.Dec 10 2018, 12:41 PM

So, how I can help?

In T211571#4810130, @alanajjar wrote:

So, how I can help?

Thanks for the offer! I shared a document with you. Please let me know if you received it. It needs to be translated into Arabic.

I appreciate your help!

Arrbee moved this task from Needs Triage to CX2 on the ContentTranslation board.Dec 10 2018, 1:51 PM
alaa added a comment.Dec 10 2018, 5:36 PM

Thanks for the offer! I shared a document with you. Please let me know if you received it. It needs to be translated into Arabic.

Done (translated).
Only you need to replace (TRANSLATIONS-COUNT).

Also, I updated few translations on translatewiki (1, 2, 3, 4 and 5).

Pginer-WMF removed Amire80 as the assignee of this task.
alaa updated the task description. (Show Details)Dec 20 2018, 10:07 PM

I pinged the most 100 users using the Content Translation tool, and asked them to try the new version + put any complain or suggestions.

Meno25 added a subscriber: Meno25.Dec 21 2018, 8:29 AM
alaa added a comment.Jan 9 2019, 11:51 AM

Summary
Per here + here

  • I pinged the most 100 users using the Content Translation tool, and asked them to try the new version + put any complain or suggestions.
  • I found 6 active users are using CX2, so I pinged them again, and their comments:
    • User:أبو هشام السوعان: I tried CX2 and I do not have any comment, it seems that the developers have made it possible to publish the translation on the personal domain pages and this is the most important thing in my opinion.
    • User:إسلام (Islam): The new version is good and has many features that were not present, but sometimes I noticed that after the translation the references made up of external links containing a tag: <div> </ div> so I remove it manually
    • User:Aya Reyad: I tried the tool a few days ago. At first I could not deal with it. After the repeated experience I found that it was good and easy to deal with, I just had a similar problem that Islam mentioned.
    • User:محمد عصام: In my opinion CX2 relatively better than the old version, but sometimes there is a problem in translating sources automatically like this, and I do not know why.
    • User:Abdeaitali: The tool has improved a little, in addition to the problem of references it will be nice to bring improvements to infoboxs on the tool .
    • User:Alnamlah1: I used the new version, which is very excellent, but there are some disadvantages in translating articles that contain trademarks, since they do not work, and also, you can not partially delete the original article (does not want to translate it), also hard to use it to translate templates.
Pginer-WMF closed this task as Resolved.Jan 10 2019, 1:58 PM

Thanks for the summary @alanajjar.
I'm happy to hear that the perception is positive in general. Dealing with templates (including infoboxes, and those used to format references) is not trivial since templates are different on each wiki and they were not created to be easily transferred across languages.
We are working on improving in this area (e.g., T200786), but also to better document and communicate how communities can add template metadata to help Content Translation to map their templates automatically.
So we encourage you to keep testing the tool and provide specific examples for cases where it does not work as expected, since that is very useful for us.
Thanks!

Pginer-WMF updated the task description. (Show Details)Jan 10 2019, 1:58 PM
alaa added a comment.Jan 10 2019, 10:57 PM

Thanks @Pginer-WMF @Amire80

I closed the section on Arabic Wikipedia Village pump about CX2.

Hope to ping me in any new announcement/Invitations, and I'll try to report about all comments/bugs..etc from Arabic Wikipedia community.

Best

@alanajjar , thanks a lot for the help.

About this:

I used the new version, which is very excellent, but there are some disadvantages in translating articles that contain trademarks, since they do not work,

Do you have an example?

and also, you can not partially delete the original article (does not want to translate it)

This is supposed to be possible. You simply don't click the paragraphs that you don't want to translate at all, and in the paragraphs that you do translate, you don't have to type everything. Can you please pass this on to the user?

alaa added a comment.Jan 17 2019, 4:15 PM

Do you have an example?

As I found that he stopped many times by arwiki Abusefilter128 related to articles with contain trademarks words. So, not related to CX2.

This is supposed to be possible. You simply don't click the paragraphs that you don't want to translate at all, and in the paragraphs that you do translate, you don't have to type everything. Can you please pass this on to the user?

I clarified it to the user (+clarified above AF note)

Thank you so much for all your help!

alaa added a comment.Feb 26 2019, 3:18 PM

Hello again,

What is the importance of Category:Pages with unreviewed translations? who should review this pages?

I think if users, have (editor) or (autoreviewer) permissions, created pages through CX2 then this Category unnecessary?

In T211571#4984733, @alanajjar wrote:

What is the importance of Category:Pages with unreviewed translations? who should review this pages?

I think if users, have (editor) or (autoreviewer) permissions, created pages through CX2 then this Category unnecessary?

Content translation keeps track of how much the initial translations are modified. The tracking category captures those translations that are published with some paragraphs that were not modified enough based on the defined thresholds (at least one paragraph with 80% or more of unmodified machine translation). The category can be helpful for reviewers to focus on these articles to review and make sure that they were properly translated and the content reads natural.

Machine translation quality varies from language to language, so it is very important for us to get feedback about the usefulness for the tracking category. If there are too many good or too many problematic articles we can adjust the thresholds to make the chekings more or less strict. If you can share your impressions on the reviewed content, that would be very useful.

alaa added a comment.Mar 3 2019, 11:14 AM

If you can share your impressions on the reviewed content, that would be very useful.

If we take a look on users who create articles by CX1 and CX2, you can found that that only 20 articles should be in (Pages with unreviewed translations).

Around 95% of CX articles created by trusted users (per this who have editor flag or autoreviewer flag), and the remaining 20 articles created by new users (don't have any flag).

In arwiki:

  • Editor flag have review/autoreview/autopatrol/unreviewedpages permissions
  • Autoreviewer flag have autoreview/autopatrol permissions

So all articles created by editor or autoreviewer will be autoreviewed articles, but new users (or users without any flag) articles should be reviewed and accepted by Editor. (so of course articles created by Editor and Autoreviewer shouldn't put on Category:Pages with unreviewed translations)

So I suggest

  • either to link CX with users flag/permissions, then we can exclude Editor flag + autoreviewer flag from (Category:Pages with unreviewed translations)
  • Or to remove this category from arwiki CX as contenttranslation-v2 and contenttranslation tags sufficient to us (in arwiki) to make a list for unreviewed translations through Special:new pages (with filter hidepatrolled + tagfilter=contenttranslation-v2 or contenttranslation)
Meno25 removed a subscriber: Meno25.May 31 2019, 11:41 AM